PHP-инклюдинг в Webmatic

Дата публикации:
12.02.2007
Дата изменения:
17.06.2008
Всего просмотров:
1002
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WebMatic 2.x
Уязвимые версии: Webmatic 2.6, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "P_LIB" и в параметре "P_INDEX" в сценарии core/index/index_album.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/core/index/index_album.php?P_LIB=[file]
http://[host]/[path]/core/index/index_album.php?P_INDEX=[file]

URL производителя: www.valarsoft.com/index.php?dpage=pagine&page=pagine&pagID=9

Решение: Установите последнюю версию с сайта производителя.

или введите имя

CAPTCHA